Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067075 - Syntax errors with psql command
Summary: Syntax errors with psql command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Andrew Dahms
QA Contact: Lucy Bopf
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 15:56 UTC by Simon Sekidde
Modified: 2018-12-04 17:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 20662, Administration Guide-3.2-1 Build Date: 06-11-2013 18:25:37 Topic ID: 13869-452233 [Specified]
Last Closed: 2014-07-18 01:05:41 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Simon Sekidde 2014-02-19 15:56:15 UTC
Title: Allowing Read-only Access to the History Database

Describe the issue:

Got a syntax error with the first command in step 1 from direct copy and paste from the Admin guide

# psql -U postgres -c "CREATE ROLE history-readonly WITH LOGIN;" ovirt_engine_history
ERROR:  syntax error at or near "-"
LINE 1: CREATE ROLE history-readonly WITH LOGIN;

Step 2 also has a typo 

# psql -U postgres -c "GRANT CONNECT ON DATABASE mydb TO history_readonly;" ovirt_engine_history
ERROR:  database "mydb" does not exist

Suggestions for improvement:

"history-readonly" should be history_readonly
"mydb" should be defined somewhere for example:

Database name: ovirt_engine_history
Read only role: history_readonly 
Admin role: postgres

Additional information:

This impacts the 3.2 and 3.3 Administration Guides

Comment 1 Andrew Dahms 2014-02-19 23:27:02 UTC
Fixed in 13869.

Comment 2 Andrew Dahms 2014-02-26 00:11:05 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Administration_Guide/index.html#Allowing_Read_Only_Access_to_the_History_Database

What Changed
------------------------------
The following topic was revised as outlined below.

Allowing Read-Only Access to the History Database [ 13869-590973 ]

Fixed capitalization of the topic and the procedure, and generalized the procedure by using replaceables for user name and other elements instead of a set user name.

Updated revision history: [ 21114-590976 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Administration_Guide-3.3-en-US-3.3-49

Moving to ON_QA.

Comment 3 Lucy Bopf 2014-07-18 01:05:41 UTC
Peer reviewed.

I confirm that the changes in Comment 2 are now live in the docs.

VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.